Index: branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs	(revision 6206)
+++ branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs	(revision 6760)
@@ -51,4 +51,5 @@
       this.viewContextMenuStrip = new HeuristicLab.MainForm.WindowsForms.ViewContextMenuStrip();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.configurationLabel = new System.Windows.Forms.Label();
       this.SuspendLayout();
       // 
@@ -86,4 +87,16 @@
       this.viewContextMenuStrip.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.viewContextMenuStrip_ItemClicked);
       // 
+      // configurationLabel
+      // 
+      this.configurationLabel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.configurationLabel.Image = HeuristicLab.Common.Resources.VSImageLibrary.EditInformation;
+      this.configurationLabel.Location = new System.Drawing.Point(211, 22);
+      this.configurationLabel.Margin = new System.Windows.Forms.Padding(6, 3, 3, 3);
+      this.configurationLabel.Name = "configurationLabel";
+      this.configurationLabel.Size = new System.Drawing.Size(16, 16);
+      this.configurationLabel.TabIndex = 0;
+      this.configurationLabel.Visible = false;
+      this.configurationLabel.MouseDoubleClick += new System.Windows.Forms.MouseEventHandler(this.configurationLabel_MouseDoubleClick);
+      // 
       // ViewHost
       // 
@@ -91,4 +104,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.viewsLabel);
+      this.Controls.Add(this.configurationLabel);
       this.Controls.Add(this.messageLabel);
       this.Name = "ViewHost";
@@ -103,4 +117,5 @@
     private System.Windows.Forms.ToolTip toolTip;
     private HeuristicLab.MainForm.WindowsForms.ViewContextMenuStrip viewContextMenuStrip;
+    private System.Windows.Forms.Label configurationLabel;
 
   }
Index: branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs	(revision 6206)
+++ branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs	(revision 6760)
@@ -81,5 +81,4 @@
               if (cached != null) {
                 Controls.Remove(cached);
-                cached.Dispose();
               }
               cachedView = null;
@@ -101,4 +100,6 @@
             }
           } else viewType = null;
+          configurationLabel.Visible = activeView is IConfigureableView;
+          configurationLabel.Enabled = activeView != null && !activeView.Locked;
         }
       }
@@ -189,4 +190,5 @@
     private void activeView_LockedChanged(object sender, EventArgs e) {
       Locked = activeView.Locked;
+      configurationLabel.Enabled = !activeView.Locked;
     }
 
@@ -200,4 +202,6 @@
       base.OnSizeChanged(e);
       viewsLabel.Location = new Point(Width - viewsLabel.Margin.Right - viewsLabel.Width, viewsLabel.Margin.Top);
+      configurationLabel.Location = new Point(Width - configurationLabel.Margin.Right - configurationLabel.Width, viewsLabel.Bottom + viewsLabel.Margin.Bottom + configurationLabel.Margin.Top);
+      
     }
 
@@ -287,4 +291,8 @@
         startDragAndDrop = false;
     }
+
+    private void configurationLabel_MouseDoubleClick(object sender, MouseEventArgs e) {
+      ((IConfigureableView)ActiveView).ShowConfiguration();
+    }
     #endregion
   }
Index: branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLabMainFormWindowsFormsPlugin.cs.frame
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLabMainFormWindowsFormsPlugin.cs.frame	(revision 6206)
+++ branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLabMainFormWindowsFormsPlugin.cs.frame	(revision 6760)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.MainForm.WindowsForms {
-  [Plugin("HeuristicLab.MainForm.WindowsForms", "3.3.4.$WCREV$")]
+  [Plugin("HeuristicLab.MainForm.WindowsForms", "3.3.5.$WCREV$")]
   [PluginFile("HeuristicLab.MainForm.WindowsForms-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
Index: branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Properties/AssemblyInfo.frame
===================================================================
--- branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Properties/AssemblyInfo.frame	(revision 6206)
+++ branches/PersistenceSpeedUp/HeuristicLab.MainForm.WindowsForms/3.3/Properties/AssemblyInfo.frame	(revision 6760)
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.4.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.5.$WCREV$")]
